<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./style/style.css">
    <title>Home Work JS#4</title>
</head>
<body>
    <div class="wrapper">
        <main class="page">
            <div class="first-task">
                <code>
                    <pre>
        function map(fn, arr){
            let resultArr = [];
            for (let i = 0; i < arr.length; i++){
                resultArr.push(summ(arr[i]));
            }
            return resultArr;
        }
                          
        function summ(a) {
            return a+a;
        }     
        
        console.log(map(summ(),[10,20,30,40,50])); // result [20, 40, 60, 80, 100]             
                    </pre>
                </code>
            </div>
            <hr>
            <div class="second-task">
                <code>
                    <pre>
        function checkAge(age){ 
            return age > 18 ? true : confirm('Have u got parental permission?');
          //return (age > 18 || confirm('Have u got parental permission?'));  
        }
        
        console.log(checkAge(19)) // result true
        console.log(checkAge(18)) // result true if ok was pressed, false if cancel
                    </pre>
                </code> 
            </div>
        </main>
    </div>
<script src="./script/script.js"></script>    
</body>
</html>